#include<iostream>
using namespace std;

int main(){
	int x,y,cifra1,cifra2;
	int niz[20];
	int i=0;
	cin>>x>>y;
	while(x>0 || y>0){
		cifra1=x%10;
		cifra2=y%10;
		if(cifra1==cifra2 && x>0){
			
			niz[i]=cifra1;
			i++;
			niz[i]=cifra2;
			i++;
		}
		else if(cifra1>cifra2){
			niz[i]=cifra1;
			i++;
		}
		else{
			niz[i]=cifra2;
			i++;
		}
		x=x/10;
		y=y/10;
//		cout<<x<<endl<<y;
	}
	for(int k=i-1;k>=0;k--){
		cout<<niz[k];
	}
	
	return 0;
}